'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');

exports.useTranslate = useTranslateDefault;
function useTranslateDefault() {
  const errorMessage = "useTranslate is not set. useTranslate must not be called before Grafana is initialized.";
  if (process.env.NODE_ENV === "development") {
    throw new Error(errorMessage);
  }
  console.error(errorMessage);
  return (id, defaultMessage) => {
    return defaultMessage;
  };
}
function setUseTranslateHook(hook) {
  exports.useTranslate = hook;
}
let TransComponent;
function setTransComponent(transComponent) {
  if (TransComponent && process.env.NODE_ENV !== "test") {
    throw new Error("setTransComponent() function should only be called once, when Grafana is starting.");
  }
  TransComponent = transComponent;
}
function Trans(props) {
  if (!TransComponent) {
    throw new Error("Trans component not set. Use setTransComponent to set the Trans component.");
  }
  return /* @__PURE__ */ jsxRuntime.jsx(TransComponent, { ...props });
}

function getObservablePluginLinks(options) {
  {
    throw new Error("getObservablePluginLinks() can only be used after the Grafana instance has started.");
  }
}

function getObservablePluginComponents(options) {
  {
    throw new Error("getObservablePluginComponents() can only be used after the Grafana instance has started.");
  }
}

exports.Trans = Trans;
exports.getObservablePluginComponents = getObservablePluginComponents;
exports.getObservablePluginLinks = getObservablePluginLinks;
exports.setTransComponent = setTransComponent;
exports.setUseTranslateHook = setUseTranslateHook;
//# sourceMappingURL=unstable.cjs.map
